namespace ServerDatabase.SourceGenerator;

[AttributeUsage(AttributeTargets.Property, AllowMultiple = true)]
public sealed class JsonSubObjectAttribute : Attribute
{
    public JsonSubObjectAttribute(Type type, int index = 0)
    {
        this.Type = type;
        this.Index = index;
    }

    public int Index { get; private set; } = 0;
    public Type Type { get; private set; }
}